Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.aa.complextype.v1
Class ProfessionType

    java.lang.Object
      be.fgov.ehealth.aa.complextype.v1.ProfessionType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ProfessionalType

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:05:18+01:00",
               comments="JAXB RI v2.2.11")
    public class ProfessionType

extends Object
implements Serializable

Type of profession.

Java class for ProfessionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProfessionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ProfessionCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element ref="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionFriendlyName" maxOccurs="unbounded"/>
             <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ProfessionType()`

Method Summary
`List<Attribute>` | `getAttributes()` Gets the value of the attributes property.
`String` | `getProfessionCode()` Gets the value of the professionCode property.
`List<NameType>` | `getProfessionFriendlyNames()` Gets the value of the professionFriendlyNames property.
`void` | `setProfessionCode(String value)` Sets the value of the professionCode property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfessionType

    public ProfessionType()

Method Detail

### getProfessionCode

    public String getProfessionCode()

  Gets the value of the professionCode property.

  Returns:
    possible object is `String`

### setProfessionCode

    public void setProfessionCode(String value)

  Sets the value of the professionCode property.

  Parameters:
    `value` - allowed object is `String`

### getProfessionFriendlyNames

    public List<NameType> getProfessionFriendlyNames()

  Gets the value of the professionFriendlyNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the professionFriendlyNames property.

  For example, to add a new item, do as follows:

          getProfessionFriendlyNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getAttributes

    public List<Attribute> getAttributes()

  Gets the value of the attributes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

  For example, to add a new item, do as follows:

          getAttributes().add(newItem);

  Objects of the following type(s) are allowed in the list `Attribute`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.